Prima Pagina aplicatii iOS 6 depaseste iOS 4 in ceea ce priveste numarul de utilizatori...

iOS 6 depaseste iOS 4 in ceea ce priveste numarul de utilizatori ai unor aplicatii

iphone 8 precomanda emag banner

  Dezvoltatorul celebrelor aplicatii Calcbot, TweetBot, etc, a afirmat in cursul zilei de ieri pe Twitter ca in aplicatiile sale sunt inregistrati mai multi utilizatori ai iOS 6 decat utilizatori ai iOS 4. Aplicatiile sale sunt utilizate de sute de mii de oameni, deci vorbim despre un sample destul de mare de dispozitive si daca e sa luam “de bun” tot ceea ce ne spune el, atunci iOS 6 pare sa fi ajuns deja in iDevice-urile multor utilizatori. Nu cred ca exista extrem de multi posesori de iPhone 3GS/4 sau iPad 2 care au renuntat la iOS 4 pentru iOS 6, insa informatia aceasta ne demonstreaza ca interestul este ridicat vis-a-vis fata de cea mai recenta versiune a iOS.

  In viitor ma astept ca tot mai multa lume sa testeze iOS 6, dar asta pe masura ce noi versiuni beta sunt publicate de Apple, probleme existente sunt rezolvate si noi functii sunt implementate de catre companie.


  • crocodilu

    iOS 4.3 e folosit sub 10% din device-urile existente, iar < 4.3 e pe mai putin de 1%, asta dupa mai multe statistici gasite pe net.

    Acum apare si 6 in toamna, deci majoritatea or sa puna iOS 5.0 ca minim requirement la apps. Multi o fac deja, nu mai merita sa te chinui cu workarounds pt 4.x pentru atat de putini utilizatori.
    Multi care stau pe 4.x stau fie din nestiinta, fie pentru JB/unlock, deci in principiu nici n-ar fi clienti platitori. Dreptu urmare, procentul clientilor *reali cu 4.x scade vertiginos astfel incat ei sa devina nesemnificativi si sa nu mai merite dezvoltarea pt 4.x 😉

  • Yoyo

    Asa este da,dar pe cei cu ipad 1 si iphone 3gs care daca trec pe ios 5 si le arunca la gunoi nu ii iei in seama,neplatitori ii numesti pe acele milioane de utilizatori…
    Dai d….u de aici ca si asa sunt neplatitori….

  • crocodilu

    Daca costurile dezvoltarii nu acopera cat poti sa recuperezi/castigi din acei < 10% dintre potentialii utilizatori ai aplicatiei, atunci evident ca nu o muncesti degeaba si nu o sa investesti timp in asta, nu ?!

    ipad 1 cu ios 5 merge mai mult decat acceptabil, l-am avut asa de cand a aparut 5-ul, pana cand a venit new ipad, asa ca nu-mi povesti aiureli cu aruncatul la gunoi.
    La fel si 3GS, cunosc destula lume care-l foloseste fara probleme cu 5.
    Cei care raman pe 4.x se impart fix in categoriile mentionate, nestiutori sau *power useri. Din cauza asta, acele maxim 10 procente de clienti scad vertiginos, incat sa nu mai merite investitia in timp si bani pentru dezvoltare.

    Nu trebuie sa te superi, se cheama progres si Apple sunt singurii care-l impun cumva mai rapid ca orice alt producatori din orice alt domeniu. Probabil asta e si un motiv pentru care sunt preferati de multi developeri.

    Pana la urma e ca si pe PC-uri, nu poti scoate software/jocuri care sa mearga pe orice vechitura de SO/Hardware, trebuie sa-ti limitezi

  • Yoyo

    Daca tu imi spui mie ca ipad 1 si iphone 3gs merg perfect pe ios 5 atunci jos palaria,dar cum le-ai testat?Ai instalat ios 5 ai dat doua slide si ai zis,ohhh super.
    Omule iphone 4 se chinuie cu ios 5,dar 3gs-ul sau ipad 1 cand ele au doar 256 de ram.
    Daca deschizi un browser cu 2-3 pagini,ai messengerul in background,push notification activat si 2-3 tweakuri din cydia dai cu el de pamant ca moare,are probleme ipadul 2 dar 1…..
    E bine ca tu cnosti multa lume din auzite,eu iti spun din proprie experienta,am 3gs pe 4.3 si ipad 1 pe 4.3.3.
    Acum cateva zile m-am jucat vreo 2 ore cu un ipad 1 pe 5.1.1 stock fara jailbreak,mi-l adusese cineva sa il jailbreakuiesc,pot sa iti spun ca se misca groaznic,sacadeaza la greu,iese din aplicatii etc.
    Hai sa nu ne dam mai rotunzi decat suntem si sa nu ne credem superiori ca avem ultimele modele de la apple,sunt totusi vreo 100 de milioane de iphone,2,3,3gs,ipod 1,2 si ipad 1 vandute,si pe pariu ca sunt milioane cu ios 4 sau chiar cu 3…..
    Trebuie cumva acesti utilizatori lepadati?Hai dai incolo cu gunoaiele lor vechi de deviceuri,sa isi cumpere dalea noi dai in masa….

  • Yeah, aici sunt de parea lui yoyo, iOS 5 ruleaza prost pe iDevice-urile alea.

  • crocodilu

    common, give me a break, again.
    Te-ai jucat 2 ore cu un ipad pe 5.1.1 si gata, ai vazut ce prost merge.
    Eu l-am folosit zi de zi 1 AN DE ZILE sau cat naiba a trecut de cand a aparut iOS 5.0 si pana la new ipad cand l-am vandut. Cred ca experienta mea e mai mare ca a ta, ce zici ?!
    Fara JB, fara gunoaie de tweaks din Cydia sau mai stiu eu ce. Si a mers rezonabil, mi-am facut treaba pe el, cu totul activat, browsing, chat si development la greu.
    Ca mai sacada putin in anumite situatii, da, dar in nici un caz sa nu-l mai poti folosi.

    Nu va mai … pe voi atat ca vai ce prost merge…. merge putin mai rau decat 4.x dar este mai mult decat utilizabil, 90% din useri nici nu-si vor da seama.

    Ii dai inainte cu milioanele de utilizatori de ipad…tu nu citesti ce scriu eu sau citesti din 2 in 2 randuri ? Cauta pe net statisticile si o sa vezi procentajele utilizatorilor cu 4.x
    Orice developer/PM/client isi face calculele inainte de a dezvolta o aplicatie….iar incepand de acum, DA, nu mai merita dezvoltarea pentru 4.x.
    Evident, nu vorbesc de aplicatii cu 3 tabele, ci de ceva mai complex, unde s-a adaugat suport in iOS5 si nu exista in 4.x. Iar pentru asta, trebuie workarounduri, cod mizerabil, timp si nervi pierduti, etc.

    Nu e vb de lepadat sau nu, e vorba de niste calculele simple pe care le-ai putea face si tu daca n-ai fi atat de obsessed de ce ai tu sau de ce nu ai si ai impresia ca se da cineva mare.
    Nimeni nu se da mare, e just un fact, procentul utilizatorilor de 4.x devine tot mai nesemnificativ pentru dezolvare, lucru absolut normal.
    Ce vrei, sa se faca soft pentru iPad1 cu iOS 3.2 ani de zile de acum incolo ? Cine crezi ca investeste in asa ceva, cand 90% din useri or sa fie cu iOS 6 ?!

  • Yoyo

    Omule nu am stat doar doua ore pe ios 5…..eu iti spuneam de ultima experienta avuta acum cateva zile pe ios 5 cu ipad unu,am stat luni intregi pe ios 5 pana am coborat iarasi la 4 deoarece mergea greu….
    Nu a zis nimeni ca merge atat de prost incat sa nu le poti folosi,merge,dar cand ai deschise 2-3 aplicatii deja sa ales praful de fluidul ios,eu la asta ma refer….
    Asa si iphone 3 merge pe ios 4.2.1,ce daca ii raman doar 10 mega de ram liberi,in rest sta mai mult blocat decat sa fie utilizabil,dar pana la urma iti faci treaba nu?
    Problema este alta,fluidizare,pentru asta ne place ios,iar eu unul cand imi folosesc deviceurile le folosesc,nu stau sa inchid fiecare aplicatie instant,si mai mereu se face sa am in background cel putin 3-4 aplicatii,mess deschis,facebook,browser de net,etc…..
    Iar cu toate astea experienta de utilizare devine groaznica,poate nu pe moment,dar in timp iti vine sa il arunci.
    Alta problema ar fi ca se vrea ca utilizatori de vechi ideviceuri sa renunte la ele,spre exemplu oare aplicatia yahoo messenger chiar nu poate functiona pe ios 3?trebuie neaparat 4?
    Tot acum ceva timp printr-o cunostinta imi vine un iphone 2 cu primul ios al unei fete sa ii pun niste aplicatii,ma crezi ca nu am avut ce sa ii pun,nici macar una?Cu toate ca telefonul functiona ok,se misca cum se misca acum 5 ani cand a fost lansat,dar nu te poti folosi de nici o aplicatie,dar forteaza utilizatorul sa treaca la urmatoarea versiune de ios ca sa poata folosi aplicatii,si cu ultima versiune aceste deviceuri devin inutilizabile si suntem nevoiti sa ne cumparam altul nou….
    Asta ma dezamageste pe mine,ok am inteles nu imi oferi updateuri pentru ca am un device batran,dar totusi lasama sa folosesc aplicatiile macar,nu imi urca stacheta cu gandul sa nu imi mai utilizez deviceul.

  • crocodilu

    Eu inteleg ce zici tu, dar tu nu intelegi ce inseamna dpdv dezvoltare sa suporti toate SO-urile vechi.
    Apple schimba/adauga multe lucruri noi in versiunile noi de soft si developerii vor sa le foloseasca.

    Gandeste-te la un task simplu, care de ex pe iOS 3 sau 4 nu poate fi facut ca nu exista suport, decat prin workarounds sau scriind de mana o gramada de cod ca sa colorezi mai altfel o prostie, iar in iOS 5 au bagat suport nativ, ca sa faci asta dintr-o linie.

    Sau metode care au ajuns deprecated sau care dau rezultate putin diferite, etc.

    E foarte greu de intretinut o aplicatie pentru diferite versiuni de SO. Si nu poti sa o faci doar cu ce ai avut in iOS 3.x si sa te uiti cu jind ce frumos se programeaza acum in 5.x….
    Efortul devine tot mai mare pe masura ce aplicatia e tot mai complexa.

    O aplicatie ca yahoo mess sau altele este destul de complexa, este absolut de inteles de ce dezvoltatorii renunta la versiuni vechi de SO.

    De cate ori n-am patit sa trebuiasca sa fac o chestie, clientul sa vrea suport de 4.0 (fara sa stie nici el de ce, fara o analiza a pietei, etc) si sa ma chinui zile intregi cautand un bug ascuns care nu se reproduce pe 5.x dar apare pe orice 4.x Si cand il repari, nu mai merge ceva pe 5.x ca asa a vrut Apple sa schimbe.
    Multe frustrari, timp pierdut, bani cheltuiti de client in plus, pe care garantez eu ca nu si i-a recuperat niciodata. Daca facea de la 5.0 in sus, se termina app in 3/4 din timp. Ce a platit pentru orele in plus, nu si-a recuperat in niciun caz de la cativa clienti cu 4.0

    Asta e progresul, ce sa faci, trebuie sa avansam. Personal imi place politica asta, apreciez progresul “cu forta” pentru ca altfel lucrurile se misca mai greu, oamenii nu-s tentati sa schimbe, etc. Ma rog, discutie lunga aici 😉

  • Yoyo

    Care progres prietene,ios 6 cu keypad de alta culoare si poze noi in appstoremsi itunes,ala e progres la tine?
    Aplicatia yahoo messenger e complexa?ooo e foarte complexa,pai asa spre exemplu,zimi o functie in plus pe care o are yahoo messenger fata de acum 2 ani,una te rog!
    E aceasi aplicatie doar ca nu mai e compatibila cu ios 3…..
    Si daca tot updateaza aplicatiile,pentru aia 10% care inca mai au ios 4 sau mai jos(din 200 de milioane) 10% inseamna 20 de milioane,cu alte cuvinte suntem cata frunza si iarba,chiar nu mai inseamna nimic 20 de milioane de utilizatori??Macar noua sa ne lase aplicatiile vechi,cum erau atunci,nu crocodile,defapt nu ca tie iti place sa ti se spuna ce sa faci si cum sa faci,ca nu mai suntem capabili sa luam singuri o decizie,ajungem in democratie sa ne bucuram de comunism….

  • Mkrkkk

    Decodarea cu sam o sa mearga si pe ios6 cand va aparea jailbreak ?

  • crocodilu

    OK, m-ai lamurit, esti dintre aia care vad doar 2-3 modificari in iOS 6, in rest totul e la fel pentru ei. Pai “prietene” sa te lamuresc eu, modificarile in SDK si modul cum se programeaza sunt cu miile/zecile de mii.
    Tu crezi ca o versiune noua de iOS vine cu alte culori si poze mai mari ? N-ai niciun fel de habar cate se schimba dedesubt, cate SDK-uri apar sau dispar sau cat de multe se schimba.

    Progresul e imens pe partea asta, ce si cum se face acum in iOS 5-6 este diferit de iOS 2-3. Bine ca vezi tu doar niste culori si 2-3 poze.

    10% inseamna 4.3 + mai jos de 4.3 . Mai jos de 4.3 sunt sub 1%. Din 200 milioane, sunt 2 milioane. Din 2 milioane de useri, eliminand pe cei care nu cumpara, pe cei neinteresati, etc etc, ramai cu un numar complet nesemnificativ de oameni care or sa-ti cumpere aplicatia.
    Ma rog, nu vorbim acu de Angry Birds, ca acolo poate merita sa faci si pentru 4.0
    Dar la o aplicatie normala, unde ai acolea la cateva mii de vazari in total, 1% sau chiar 10% este nesemnificativ si depaseste bugetul pentru dezvoltare.
    Tu ai impresia ca aia 2 milioane sunt toti clienti ? Pentru o aplicatie de uz general, ai noroc daca-ti cumpara 10-20 aplicatia.
    Si da, 99% din apps se vand pana in cateva mii de vanzari sau mult mai putin.
    Citisem articole in care un procent de +/- 75 % din aplicatiile de pe AppStore de abia isi scot banii investiti.
    No, in cazul asta, tu ai impresia ca cineva mai adauga inca 25% timp peste ca sa-ti faca tie compatibilitate cu ceva < 4.3 ?! Dream on.

    Si cu lasatul aplicatiilor vechi, iar vorbesti fara sa stii, vorbesti ca un utilizator simplu. Tu vezi yahoo messenger ca o aplicatie banala, dar acolo e o complexitate pe care nu poti sa o intrevezi, incepand de la app de pe telefon pana la servere.
    Nu se poate pastra o versiune veche de client pentru ca asta inseamna sa pastrezi compatibilitatea si in server, nu te poti folosi de noile tehnologii sau trebuie sa mergi in paralel cu multe variante.
    Probabil Yahoo isi permite asta, dar uite ca totusi nu o fac, inseamna ca, costurile de productie sunt mult prea mari decat beneficiile aduce de cativa clienti.

    Apple e cel mai aproape de idealul unui programator de a avea ultimele versiuni de SO si de a nu trebui sa programezi pentru o ciorba de versiuni sau de configuratii hardware.

  • crocodilu

    chiar stirea de la care am pornit, pentru niste aplicatii banale, folosite nu doar de oameni tehnici, procentul celor cu iOS 6 (beta, de abia aparut, vai de mama lui) este mai mare decat al celor cu 4.x
    As zice ca atunci 4.x s-a dus mult sub 10%….ceea ce e extrem de bine.

    In cazul asta, tu, daca ai fi investitor, ai vrea sa faci o aplicatie si intrevezi in jur de 10.000 de vanzari, ce ai face ? Dupa un calcul al orelor de munca platite si ai banilor luati de la clientii de 4.x, daca iti iese cam dubla investitia fata de beneficii, ce faci ?